#!/bin/bash
#set -x
#source /etc/profile



DT_COMPAT_LIST=`tr < /proc/device-tree/compatible  '\000' '\n'`

    for compat in $DT_COMPAT_LIST; do
        case "$compat" in
            "onion,omega2p" )
                INSPARK_HW_VERSION=SmartMetrix;
                break;
            ;;
            "mub" )
                INSPARK_HW_VERSION=milandr;
                break;
            ;;

        esac
    done;


case "$INSPARK_HW_VERSION" in
  "SmartMetrix" )
    source /opt/inspark/scripts/sm-functions.sh
    GPIO_HUB_RESET=37;
    GPIO_GSM_PWRKEY=41;
    GPIO_GSM_STATUS=2;
        modem_model_id
	logger -t inspark "Seems modem is $MODEL... anyway we restart networking"
        if [[ $MODEL == "LE910C1-EU" ]]; then
                active_slot_b
                get_sim_status
                if [[ ! -z $INSERTED ]] && [[ $INSERTED -eq "0" ]]; then
                        logger -t inspark "Sim card placed in Slot B"
                 else
                        active_slot_a
                        get_sim_status
                        if [[ ! -z $INSERTED ]] && [[ $INSERTED -eq "0" ]]; then
                        logger -t inspark "Sim card placed in Slot A"
                        fi
                fi
        	[[ $INSERTED -ne "0" ]] && logger -t inspark "Sim card is not detected"
        fi
	/etc/init.d/network restart
   ;;

    * )
    ;;
esac

